%BlakemoreCampbellPlate1.m

%% Construct 'Plate 1' from Blakemore and Campbell, 1969

% Set up 'world' parameters
fontSize =12;

%set up 'world' parameters
pWorld.n = [800,800,1];      %[ny, nx, nt] in pixels
pWorld.visAngle = 5;        %horizontal extent of visual angle
pWorld.dur = 0;             %total stimulus duration (seconds)
pWorld.background = 0;      %background color: [-1,1]

pWorld = initWorld(pWorld); %get the x and y meshrid matrices

sf = 3;  %c/deg
contrast = .015;

img1 = zeros(pWorld.n(1),pWorld.n(2));
img1(pWorld.y<0) = contrast*cos(2*pi*sf*pWorld.x(pWorld.y>0));
img1(pWorld.y>0) = 4/pi*contrast*sign(cos(2*pi*sf*pWorld.x(pWorld.y>0)));
img1(pWorld.x.^2+pWorld.y.^2<.02) = -1;

figure(1)
showStimulus(pWorld,img1);
set(gcf,'PaperPosition',[1,1,6,6]);


img2 = cos(2*pi*3*sf*pWorld.x);
img2(pWorld.x.^2+pWorld.y.^2<.04 & pWorld.x.^2+pWorld.y.^2>.03) = -1;
figure(2)
showStimulus(pWorld,img2);
set(gcf,'PaperPosition',[1,1,6,6]);

