%FitHubelWiesle2Gabor.m

%% Low-Resolution World parameters (for fitting)
pWorld.n = [100,100,100];  %[ny, nx, nt] in pixels
pWorld.visAngle = 10;   %horizontal extent of visual angle
pWorld.dur = 1;        %duration (seconds)
pWorld.background = 0;
pWorld = initWorld(pWorld); %get the x and y mesHWid matrices

%% Gabor parameters


pGabor.center = [0,0];
pGabor.sf = .5;  %c/deg
pGabor.sig = [2,1]; %deg (major and minor axes)
pGabor.ang = 0; %orientation (deg)
pGabor.phase = -90; %0 = sin phase
pGabor.contrast = 1;

Gabor = makeGaborRF(pWorld,pGabor);

%% Hubel-Wiesel Parameters

%DOG RF
clear HW
pHW.center = [0,0];
pHW.sig = [.7,.7433];
pHW.contrast = [9,8];
pHW.separation = 1;  %+/- separation of 3 DOG's

err = fitDOG(pHW,Gabor,pWorld);
freeParams = {'contrast','separation','sig'};
pHW = fit('fitDOG',pHW,freeParams,Gabor,pWorld);

%% High-Resolution World parameters (for displaying)
pWorld.n = [400,400,100];  %[ny, nx, nt] in pixels
pWorld.visAngle = 10;   %horizontal extent of visual angle
pWorld.dur = 1;        %duration (seconds)
pWorld.background = 0;
pWorld = initWorld(pWorld); %get the x and y mesHWid matrices

Gabor = makeGaborRF(pWorld,pGabor);
[err,HW] = fitDOG(pHW,Gabor,pWorld);

figure(1)
showRF(pWorld,HW);
figure(2)
showRF(pWorld,Gabor);
pHW








