function thresh = binarySearch(funcName,pModel,pStim,varName);


baseVals = getfield(pStim,varName);

%Calculate response to base stimulus
pBaseStim = pStim;
evalStr = sprintf('baseResp = %s(pModel,pBaseStim);',funcName);
eval(evalStr);

%first, find lower and upper bounds for pModel.increments that bracked 0<dprime<1
low = zeros(size(baseVals));
high = .05*ones(size(baseVals));
nIter =21;


for i=1:nIter
    %Calculate change in response for the higher bound for pModel.increments
    ppModel.incStim = setfield(pStim,varName,baseVals+high);
    evalStr = sprintf('pModel.incResp = %s(pModel,ppModel.incStim);',funcName);
    eval(evalStr);
 
    deltaR = abs(pModel.incResp-baseResp);

    %double the high values that aren't high enough
    high(deltaR<pModel.inc) = high(deltaR<pModel.inc)*2;
end

%Use a binary search algorithm to find pModel.increments that make deltaR=pModel.inc.
for i=1:nIter  
    %Choose the midpoint between the lower rand upper bounds for pModel.increments
    mid = (low+high)/2;
    %Calculate dprime for this midpoint (just like we did above for 'high')
    ppModel.incStim = setfield(pStim,varName,baseVals+mid);
    evalStr = sprintf('pModel.incResp = %s(pModel,ppModel.incStim);',funcName);
    eval(evalStr);
    deltaR = abs(pModel.incResp-baseResp);

    high(deltaR>pModel.inc) = mid(deltaR>pModel.inc);
    low(deltaR<pModel.inc) = mid(deltaR<pModel.inc);
end
%Final estimate of pModel.increment threshold
thresh = (low+high)/2;

%Set values to NaN where the pModel.increment threshold could not be obtained.
thresh(abs(deltaR-pModel.inc)>1e-5) = NaN;



