function [limits,plimit] = getConfidenceLimits(p,vals,pct);

if ~exist('pct','var')
    pct = 0.95;
end

dx = vals(2)-vals(1);

%find the 'pct' confidence limits

low = 0;
high = max(p);
nIter = 20;
for i=1:nIter
    mid= (low+high)/2;
    sumP = sum(p(p>=mid))*dx;
    if sumP>pct;
        low = mid;
    else
        high = mid;
    end
end
plimit = (low+high)/2;

limits(1) = vals(find(p>plimit,1,'first'));
limits(2) = vals(find(p>plimit,1,'last'));