function p= getIdentificationPerformance(pNeuron,pStim,varName,vals)
%p= getIdentificationPerformance(pNeuron,pStim,varName,vals)

%Written by G.M. Boynton, October 2008, University of Washington

R = getV1Response(pNeuron,pStim);
dx = vals(2)-vals(1);

pAllStims = setfield(pStim,varName,vals);
[resp,varResp] = getV1Response(pNeuron,pAllStims);

%probability of response given the optimal stimulus:
Numerator = exp(-.5*(R-resp).^2./varResp);
Denominator = sqrt(resp)*sum(Numerator./sqrt(resp))*dx;

p = Numerator./Denominator;