%AdelsonBergen.m

%% Define 'World' parameters
pWorld.n = [40,40,2001];  %[ny, nx, nt] in pixels
pWorld.visAngle = 10;   %horizontal extent of visual angle
pWorld.dur = (pWorld.n(3)-1)/1000;        %duration (seconds)
pWorld.background = 0;

pWorld = initWorld(pWorld);  %get the x and y meshrid matrices

fontSize =12;


%% Simple cell RF (Gabor)
clear pRF

phases = [0,-90];
thetas = [.006,.009];

pRF(1).center = [0,0];
pRF(1).sf = .25;  %c/deg
pRF(1).sig = 1.75; %
pRF(1).ang = 90; %orientation (deg)
pRF(1).phase = phases(1); %0 = sin phase
pRF(1).contrast = 1;

pRF(1).n = [3,5]; %n cascades
pRF(1).theta = thetas(1)*[1,1]; %sec
pRF(1).a = [.035,.03];
pRF(1).nt = 100;

RF{1} = makeSeparableSTFilter(pWorld,pRF(1));


pRF(2).center = [0,0];
pRF(2).sf = .25;  %c/deg
pRF(2).sig = 1.75; %
pRF(2).ang = 90; %orientation (deg)
pRF(2).phase = phases(2); %0 = sin phase
pRF(2).contrast = 1;

pRF(2).n = [3,5]; %n cascades
pRF(2).theta = thetas(1)*[1,1]; %sec
pRF(2).a = [.035,.03];
pRF(2).nt = 100;

RF{2} = makeSeparableSTFilter(pWorld,pRF(1));

i=2;
figure(1)
clf
showRF(pWorld,RF{i});

figure(2)
clf
showRF(pWorld,RF{i}(:,:,17));

figure(3)
showRF(pWorld,squeeze(RF{i}(:,ceil(pWorld.n(1)/2),:)));


