%ModelFestData.m

%%Load xls file containing threshold data and convert to matlab file
%from http://vision.arc.nasa.gov/modelfest/data.html
[a,b,c] = xlsread('modelfestbaselinedata.xls');

subjectNames = b;

for i=1:43
    X = a(:, ((i-1)*4+1):(i*4));
    thresh(i,:) = mean(X,2);
    threshSEM(i,:) = std(X,0,2)/sqrt(4);
end

save ModelFestThresholds subjectNames thresh threshSEM


%% Convert tiff files to matlab file

%Tiff images pulled off from http://vision.arc.nasa.gov/modelfest/stimuli.html
d = dir('ModelFestStimuli/*.tif');

stim =zeros(256,256,43,'uint8');
for i=1:length(d)
    imgNum = str2num(d(i).name(end-5:end-4));

    if isempty(imgNum)
        imgNum = str2num(d(i).name(end-4));
    end
    if imgNum<=43
        stimName{imgNum} = d(i).name(1:end-4);
        stim(:,:,imgNum) = imread(['ModelFestStimuli/',d(i).name]);
    end
end

save ModelFestStimuli stim stimName



