function showRF(pWorld,RF)
%showRF(pWorld,RF)
%
%Shows a receptive field matrix RF in the current figure with excitatory
%(positive) values in green and inhibitory values (negative) in red.  If RF
%is a 3D matrix, then it is shown as a movie at the speed dependent on
%pWorld.dur
%
%Assumes -1<= RF <= 1.
%
%


minSize = 200;
if pWorld.n>1
    dt=  pWorld.t(2)-pWorld.t(1);
else
    dt = 1;
end
nt = size(RF,3);
t = 0:dt:nt;

h = image(pWorld.x(1,:),pWorld.y(:,1),(RF(:,:,1)+1)*127.5);
set(gca,'Position',[0,0,1,1]);
pos =get(gcf,'Position');
pos(4) = max(pWorld.n(1),minSize);
pos(3) = max(pWorld.n(2),minSize*pWorld.n(1)/pWorld.n(2));
set(gcf,'Position',pos);


axis off
cmap = zeros(256,3);
cmap(1:128,1) = linspace(1,0,128).^.9;
cmap(129:256,2) = linspace(0,1,128);
colormap(cmap);
tic
for i=2:nt
    set(h,'CData',(RF(:,:,i)+1)*127.5);

    drawnow
    while(toc<t(i))
    end

end





