function showStimulus(pWorld,stim,RF,fName);
%showStimulus(pWorld,stim,RF,fName);

nCols = 200;
minSize = 200;
c1 = nCols/4;
c2 = nCols/2;

if exist('RF','var')
    showRF = 1;
else
    showRF = 0;
end

if exist('fName','var')
    makeMovie = 1;
else
    makeMovie = 0;
end

t= linspace(0,pWorld.dur,size(stim,3));
clf


h = image(c2*ones(size(stim(:,:,1))));
set(gca,'Position',[0,0,1,1]);
pos =get(gcf,'Position');
pos(3) = max(pWorld.n(1),minSize);
pos(4) = max(pWorld.n(2),minSize*pWorld.n(2)/pWorld.n(1));
set(gcf,'Position',pos);

axis equal
axis off
if showRF
    cmap = zeros(nCols,3);
    cmap(1:c1,1) = linspace(1,0,c1).^.5;
    cmap((c1+1):c2,2) = linspace(0,1,c1);
    cmap((c2+1):nCols,:) = gray(c2);
else
    cmap = gray(nCols);
end

colormap(cmap);
tic
for i=1:pWorld.n(3)
    if showRF
        img = (RF+1)*(c1-.5);
        tmp = stim(:,:,i);
        img(tmp>0) = (tmp(tmp>0)+1)*c1+c2;
        set(h,'CData',img);
    else
        set(h,'CData',(stim(:,:,i)+1)*(c2-.5));
    end
    drawnow
    while(toc<t(i))
    end
    if makeMovie
        M(i) = getframe;
    end
end

if makeMovie
    movie2avi(M,fName,'Colormap',cmap)
end