function [famp,wx,wt] = spaceTimeFFTPlot(pWorld,img,k,sfRange,tfRange)

fontSize =12;
m = size(img,1);
n = size(img,2);

sf = pWorld.visAngle*n/pWorld.n(2);
tf = pWorld.dur*m/pWorld.n(3);

if ~exist('k','var')
    k = 1;
end




wx = linspace(-n/2,n/2,n*k)/sf;
wt = linspace(-m/2,m/2,m*k)/tf;

f = fftshift(fft2(img-mean(img(:)),n*k,n*k));

clf
subplot(1,2,1)

t = pWorld.t(1:size(img,1));
x = pWorld.x(1,((pWorld.n(2)/2-size(img,2)/2)+1):(pWorld.n(2)/2+size(img,2)/2));

image(x,t*1000,(img+1)*127.5);
colormap(gray(256));
xlabel('Space (deg)','FontSize',fontSize);
ylabel('Time (msec)','FontSize',fontSize);
set(gca,'FontSize',fontSize);

colormap(gray(256));

subplot(1,2,2)

famp = abs(f);
%famp = sqrt(famp);
famp = famp/max(abs(famp(:)));

image(wx,wt,255*famp);
axis square;
colormap(gray(256));


set(gca,'XLim',[-sfRange,sfRange]);
set(gca,'YLim',[-tfRange,tfRange]);

xlabel('Spatial Frequency (c/deg)')
ylabel('Temporal Frequency (Hz)');
